#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 45. CD/DVD-Writing Utilities

- Prev

  libburn-1.5.8

- Next

  libisofs-1.5.8.pl01

- Up
- Home

# libisoburn-1.5.8

## Introduction to libisoburn

libisoburn is a frontend for the libburn and libisofs libraries, which enables creation and expansion of ISO-9660 filesystems on all CD/DVD/BD media supported by libburn. This includes media like DVD+RW, which do not support multi-session management on the media level, and even plain disk files or block devices.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://files.libburnia-project.org/releases/libisoburn-1.5.8.tar.gz

- Download MD5 sum: f48531ef1c16294ef55a1d5a52c2086f

- Download size: 1.7 MB

- Estimated disk space required: 24 MB (with Tk and HTML documentation)

- Estimated build time: 0.2 SBU (with Tk and HTML documentation)

### libisoburn Dependencies

#### Required

libburn-1.5.8 and libisofs-1.5.8.pl01

#### Optional

Doxygen-1.17.0 (to generate HTML documentation), Tk-8.6.17 (for xorriso-tcltk), and libjte

## Installation of libisoburn

Install libisoburn by running the following commands:

    ./configure --prefix=/usr              \
                --disable-static           \
                --enable-pkg-check-modules &&
    make

If you have installed Doxygen and wish to generate the HTML documentation, issue the following command:

    doxygen doc/doxygen.conf

This package does not come with a test suite.

Now, as the `root` user:

    make install

If you have built the HTML documentation, install it by running the following commands as the `root` user:

    install -v -dm755 /usr/share/doc/libisoburn-1.5.8 &&
    install -v -m644 doc/html/* /usr/share/doc/libisoburn-1.5.8

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-pkg-check-modules`: This switch tells the configure script to use pkg-config to check for the libburn and libisofs libraries.

## Contents

Installed Programs: osirrox, xorrecord, xorriso, xorriso-dd-target, xorrisofs, and xorriso-tcltk
Installed Library: libisoburn.so
Installed Directories: /usr/include/libisoburn and /usr/share/doc/libisoburn-1.5.8

### Short Descriptions

osirrox | is a symbolic link to xorriso that copies files from ISO image to a disk filesystem
xorrecord | is a symbolic link to xorriso that provides a cdrecord type user interface
xorriso | is a program to create, load, manipulate, read, and write ISO 9660 filesystem images with Rock Ridge extensions
xorriso-dd-target | is a program to check a USB or memory card device to see whether it is suitable for image copying
xorrisofs | is a symbolic link to xorriso that provides a mkisofs type user interface
xorriso-tcltk | is a frontend that operates xorriso in dialog mode
`libisoburn.so` | contains the libisoburn API functions

- Prev

  libburn-1.5.8

- Next

  libisofs-1.5.8.pl01

- Up
- Home